#pragma once

#include "wimp.h"

namespace rov2
{

/*! Defines a coordinate converter class which must be overridden in order for the parent class to compile */
class CCoordinateConverter
{
public:
  /*! Converts a location from screen to object reference */
  virtual tLocation FromScreen(const tLocation& rklScreen) { return tLocation{ 0,0 }; };

  /*! Converts a location from object reference to screen */
  virtual tLocation ToScreen(const tLocation& rklObject) { return tLocation{ 0,0 }; };
};

}